> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/identity-and-access-management-iam/identity-providers.md).

# Identity Providers

Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails.

## GET /community/{community\_id}/identity\_providers/{identity\_provider\_id}/organisations

> Get the organisations binded to an identity provider

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers/{identity_provider_id}/organisations":{"get":{"summary":"Get the organisations binded to an identity provider","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganisationResource"}},"count":{"type":"integer"}},"required":["count","data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Identity Providers"],"operationId":"getIdentityProviderOrganisations","description":"","parameters":[{"in":"path","explode":false,"schema":{"type":"string"},"style":"simple","name":"community_id","required":true,"description":"The id of the community in which the search is performed"},{"style":"simple","description":"The id of the identity provider","in":"path","required":true,"explode":false,"schema":{"type":"string"},"name":"identity_provider_id"}]}}},"components":{"schemas":{"OrganisationResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"community_id":{"type":"string","readOnly":true},"market_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":true},"administrator_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/OrganisationType"},"enabled_features":{"type":"array","items":{"$ref":"#/components/schemas/EnabledFeatureResource"},"readOnly":false}},"required":["archived","community_id","enabled_features","id","market_id","name"]},"OrganisationType":{"type":"string","enum":["CUSTOMER","CUSTOMER_POC","DEMO_SANDBOX","TEST_SANDBOX","PARTNER","TECHNICAL"],"readOnly":false},"EnabledFeatureResource":{"type":"object","properties":{"feature_name":{"type":"string","readOnly":false},"enable_on":{"type":"string","readOnly":false}},"required":["enable_on","feature_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /community/{community\_id}/identity\_providers/{identity\_provider\_id}

> Get an identity provider

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers/{identity_provider_id}":{"get":{"description":"","tags":["Identity Providers"],"parameters":[{"description":"The id of the community in which the search is performed","explode":false,"required":true,"in":"path","style":"simple","name":"community_id","schema":{"type":"string"}},{"description":"The id of the concerned identity provider","name":"identity_provider_id","schema":{"type":"string"},"explode":false,"in":"path","required":true,"style":"simple"}],"operationId":"getIdentityProvider","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/IdentityProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get an identity provider"}}},"components":{"schemas":{"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /community/{community\_id}/identity\_providers/{identity\_provider\_id}

> Update an identity provider

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers/{identity_provider_id}":{"put":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/IdentityProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateIdentityProvider","parameters":[{"description":"The id of the community in which the search is performed","schema":{"type":"string"},"required":true,"explode":false,"in":"path","name":"community_id","style":"simple"},{"required":true,"explode":false,"name":"identity_provider_id","schema":{"type":"string"},"in":"path","description":"The id of the concerned identity provider","style":"simple"}],"tags":["Identity Providers"],"summary":"Update an identity provider","description":"","requestBody":{"description":"The updates to be made to the identity provider","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentityProviderResource"}}},"required":true}}}},"components":{"schemas":{"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /community/{community\_id}/identity\_providers/{identity\_provider\_id}

> Delete an identity provider by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers/{identity_provider_id}":{"delete":{"responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"archiveIdentityProvider","tags":["Identity Providers"],"description":"","summary":"Delete an identity provider by id","parameters":[{"required":true,"explode":false,"schema":{"type":"string"},"style":"simple","name":"community_id","in":"path","description":"The id of the community in which the search is performed"},{"name":"identity_provider_id","in":"path","description":"The id of the concerned identity provider","required":true,"schema":{"type":"string"},"explode":false,"style":"simple"}]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## POST /organisations/{organisation\_id}/identity\_providers/{identity\_provider\_id}

> Binds an identity provider to an organisation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/identity_providers/{identity_provider_id}":{"post":{"description":"","operationId":"bindIdentityProviderToOrganisation","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/OrganisationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Identity Providers"],"parameters":[{"style":"simple","in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"description":"The id of the organisation in which the identity provider will be binded.","required":true,"name":"organisation_id"},{"schema":{"type":"string"},"name":"identity_provider_id","explode":false,"in":"path","description":"The id of the identity provider which will be binded to the organisation.","style":"simple","required":true}],"summary":"Binds an identity provider to an organisation"}}},"components":{"schemas":{"OrganisationResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"community_id":{"type":"string","readOnly":true},"market_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":true},"administrator_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/OrganisationType"},"enabled_features":{"type":"array","items":{"$ref":"#/components/schemas/EnabledFeatureResource"},"readOnly":false}},"required":["archived","community_id","enabled_features","id","market_id","name"]},"OrganisationType":{"type":"string","enum":["CUSTOMER","CUSTOMER_POC","DEMO_SANDBOX","TEST_SANDBOX","PARTNER","TECHNICAL"],"readOnly":false},"EnabledFeatureResource":{"type":"object","properties":{"feature_name":{"type":"string","readOnly":false},"enable_on":{"type":"string","readOnly":false}},"required":["enable_on","feature_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /organisations/{organisation\_id}/identity\_providers/{identity\_provider\_id}

> Unbinds an identity provider to an organisation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/identity_providers/{identity_provider_id}":{"delete":{"operationId":"unbindIdentityProviderToOrganisation","description":"","tags":["Identity Providers"],"parameters":[{"in":"path","name":"organisation_id","description":"The id of the organisation in which the identity provider will be binded.","explode":false,"schema":{"type":"integer","format":"int64"},"required":true,"style":"simple"},{"name":"identity_provider_id","explode":false,"schema":{"type":"string"},"style":"simple","in":"path","required":true,"description":"The id of the identity provider which will be binded to the organisation."}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/OrganisationResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Unbinds an identity provider to an organisation"}}},"components":{"schemas":{"OrganisationResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"community_id":{"type":"string","readOnly":true},"market_id":{"type":"string","readOnly":false},"id":{"type":"string","readOnly":true},"technical_name":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":true},"administrator_id":{"type":"string","readOnly":false},"name":{"type":"string","readOnly":false},"created_by":{"type":"string","readOnly":true},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"type":{"$ref":"#/components/schemas/OrganisationType"},"enabled_features":{"type":"array","items":{"$ref":"#/components/schemas/EnabledFeatureResource"},"readOnly":false}},"required":["archived","community_id","enabled_features","id","market_id","name"]},"OrganisationType":{"type":"string","enum":["CUSTOMER","CUSTOMER_POC","DEMO_SANDBOX","TEST_SANDBOX","PARTNER","TECHNICAL"],"readOnly":false},"EnabledFeatureResource":{"type":"object","properties":{"feature_name":{"type":"string","readOnly":false},"enable_on":{"type":"string","readOnly":false}},"required":["enable_on","feature_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /community/{community\_id}/identity\_providers/{identity\_provider\_id}/metadata

> Replace the SAML metadata of an identity provider by uploading an XML file

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers/{identity_provider_id}/metadata":{"put":{"tags":["Identity Providers"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/IdentityProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"explode":false,"in":"path","description":"The id of the community in which the identity provider lives","style":"simple","schema":{"type":"string"},"name":"community_id"},{"style":"simple","schema":{"type":"string"},"in":"path","description":"The id of the identity provider whose metadata will be replaced","required":true,"name":"identity_provider_id","explode":false}],"summary":"Replace the SAML metadata of an identity provider by uploading an XML file","operationId":"uploadIdentityProviderMetadata","description":"","requestBody":{"description":"The SAML metadata XML","content":{"multipart/form-data":{},"application/octet-stream":{"schema":{"type":"string","format":"binary"}}},"required":true}}}},"components":{"schemas":{"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /community/{community\_id}/identity\_providers/from\_file

> Create an identity provider by uploading the SAML metadata XML

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers/from_file":{"post":{"summary":"Create an identity provider by uploading the SAML metadata XML","parameters":[{"schema":{"type":"string"},"required":true,"description":"The id of the community in which the identity provider will be created","style":"simple","in":"path","explode":false,"name":"community_id"},{"required":true,"name":"name","style":"form","in":"query","schema":{"type":"string"},"description":"Identity provider name","explode":true},{"explode":true,"schema":{"type":"string"},"required":false,"name":"description","description":"Identity provider description","in":"query","style":"form"},{"schema":{"$ref":"#/components/schemas/IdentityProviderType"},"required":true,"explode":true,"description":"Identity provider type","style":"form","name":"provider_type","in":"query"},{"style":"form","schema":{"type":"boolean"},"in":"query","explode":true,"name":"want_assertions_signed","required":false,"description":"Whether SAML assertions must be signed"},{"description":"Post-logout redirect URI","required":false,"schema":{"type":"string"},"in":"query","explode":true,"style":"form","name":"post_logout_redirect_uri"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/IdentityProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":"","tags":["Identity Providers"],"requestBody":{"description":"The SAML metadata XML","content":{"multipart/form-data":{},"application/octet-stream":{"schema":{"type":"string","format":"binary"}}},"required":true},"operationId":"createCommunityIdentityProviderFromFile"}}},"components":{"schemas":{"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /community/{community\_id}/identity\_providers

> Search the identity providers of a community

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers":{"get":{"operationId":"getCommunityIdentityProviders","summary":"Search the identity providers of a community","tags":["Identity Providers"],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"},"first_result":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/IdentityProviderResource"}},"total":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"schema":{"type":"string"},"name":"community_id","description":"The id of the community in which the search is performed","explode":false,"required":true,"style":"simple","in":"path"},{"schema":{"type":"integer","format":"int32"},"in":"query","explode":true,"name":"first_result","style":"form","description":"Offset from which the search must be performed","required":false},{"schema":{"type":"integer","format":"int32"},"explode":true,"style":"form","name":"max_results","description":"Number of maximum items that shall be return by this search","required":false,"in":"query"},{"in":"query","required":false,"name":"archived","explode":true,"style":"form","schema":{"type":"boolean"}}]}}},"components":{"schemas":{"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /community/{community\_id}/identity\_providers

> Create an identity provider for a community

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/community/{community_id}/identity_providers":{"post":{"summary":"Create an identity provider for a community","tags":["Identity Providers"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/IdentityProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"in":"path","name":"community_id","schema":{"type":"string"},"style":"simple","required":true,"explode":false,"description":"The id of the community in which the search is performed"}],"requestBody":{"description":"The identity provider to be created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentityProviderResource"}}},"required":true},"description":"","operationId":"createCommunityIdentityProvider"}}},"components":{"schemas":{"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /organisations/{organisation\_id}/identity\_providers

> Gets the identity provider associated to an organisation

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Identity Providers","description":"Operations related to Identity Providers, the external authentication services that can authenticate platform users. Support integration with enterprise SSO systems (SAML, OAuth, OpenID Connect) for centralized user authentication, enabling secure single sign-on and standardized access control across organizations while maintaining security policies and audit trails."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/organisations/{organisation_id}/identity_providers":{"get":{"summary":"Gets the identity provider associated to an organisation","tags":["Identity Providers"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/IdentityProviderResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"organisation_id","required":true,"schema":{"type":"integer","format":"int64"},"description":"The id of the organisation in which the search is performed","in":"path","style":"simple","explode":false}],"operationId":"getOrganisationAssociatedIdentityProvider","description":""}}},"components":{"schemas":{"IdentityProviderResource":{"type":"object","properties":{"id":{"type":"string","readOnly":true},"entity_id":{"type":"string","readOnly":true},"name":{"type":"string","readOnly":false},"status":{"$ref":"#/components/schemas/IdentityProviderStatus"},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"want_assertions_signed":{"type":"boolean","default":false,"readOnly":false},"metadata_source":{"$ref":"#/components/schemas/IdentityProviderMetadataSource"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"created_by":{"type":"string","readOnly":true},"redirect_url":{"type":"string","readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"provider_type":{"$ref":"#/components/schemas/IdentityProviderType"},"community_id":{"type":"string","readOnly":false},"metadata_xml_url":{"type":"string","readOnly":false},"post_logout_redirect_uri":{"type":"string","readOnly":false}},"required":["archived","community_id","created_by","created_ts","entity_id","id","last_modified_by","last_modified_ts","metadata_source","name","provider_type","status"]},"IdentityProviderStatus":{"type":"string","enum":["READY","LIVE"],"readOnly":false},"IdentityProviderMetadataSource":{"type":"string","enum":["URL","FILE"],"readOnly":false},"IdentityProviderType":{"type":"string","enum":["SAML_V2_0","OPENID_CONNECT_V1_0","GOOGLE"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/identity-and-access-management-iam/identity-providers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
